Download it now!
Bug 55435 - build fails with internal liborcus and system boost >= 1.50
Summary: build fails with internal liborcus and system boost >= 1.50
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: David Tardon
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-28 21:00 UTC by Synthead
Modified: 2013-06-09 13:01 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
hack to get orcus to build (751 bytes, patch)
2013-06-09 13:01 UTC, Björn Michaelsen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Synthead 2012-09-28 21:00:48 UTC
LO doesn't compile with boost 1.50.0.  Looks like boost_system isn't being linked when --with-system-boost is passed to autogen.sh.

My build environment is using glibc 2.16.0, so f02578f5218f217a9f20e9c30e119c6a-boost_1_44_0.tar.bz2 doesn't compile against it, either (for the same reason described here: https://bbs.archlinux.org/viewtopic.php?pid=1127280).

Build log:

[build CXX] CustomTarget/i18npool/indexentry/indexdata_zh_TW_radical.cxx
S=/home/max/aur/libreoffice-git/src/libreoffice-core-build && O=$S/solver/unxlngx6.pro && W=$S/workdir/unxlngx6.pro &&  mkdir -p $W/GenCxxObject/CustomTarget/i18npool/indexentry/ $W/Dep/GenCxxObject/CustomTarget/i18npool/indexentry/ && cd /home/max/aur/libreoffice-git/src/libreoffice-core-build && g++ -DCPPU_ENV=gcc3 -DENABLE_GRAPHITE -DENABLE_GTK -DENABLE_KDE4 -DGCC -DGXX_INCLUDE_PATH=/usr/include/c++/4.7.1 -DHAVE_GCC_BUILTIN_ATOMIC -DHAVE_THREADSAFE_STATICS -DLINUX -DNDEBUG -DOPTIMIZE -DOSL_DEBUG_LEVEL=0 -DSOLAR_JAVA -DSUPD=370 -DUNIX -DUNX -DX86_64 -D_PTHREADS -D_REENTRANT  -DRTL_USING    -DHAVE_GCC_VISIBILITY_FEATURE -fvisibility=hidden  -Wall -Wendif-labels -Wextra -fmessage-length=0 -fno-common -pipe  -fvisibility-inlines-hidden -DLIBO_MERGELIBS -fPIC -Wshadow -Wsign-promo -Woverloaded-virtual  -Wnon-virtual-dtor -std=gnu++0x  -DEXCEPTIONS_ON -fexceptions -fno-enforce-eh-specs -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2  -c $W/CustomTarget/i18npool/indexentry/indexdata_zh_radical.cxx -o $W/GenCxxObject/CustomTarget/i18npool/indexentry/indexdata_zh_radical.o -MMD -MT $W/GenCxxObject/CustomTarget/i18npool/indexentry/indexdata_zh_radical.o -MP -MF $W/Dep/GenCxxObject/CustomTarget/i18npool/indexentry/indexdata_zh_radical.d_ -I$W/CustomTarget/i18npool/indexentry/  -I$O/inc/external -I$O/inc -I$S/solenv/inc -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -I/usr/lib/jvm/java-7-openjdk/include/native_threads/include && mv $W/Dep/GenCxxObject/CustomTarget/i18npool/indexentry/indexdata_zh_radical.d_ $W/Dep/GenCxxObject/CustomTarget/i18npool/indexentry/indexdata_zh_radical.d 
liborcus/.libs/liborcus-0.2.a(liborcus_0.2_la-pstring.o): In function `thread_exception':
/usr/include/boost/thread/exceptions.hpp:49: undefined reference to `boost::system::system_category()'
/usr/include/boost/thread/exceptions.hpp:49: undefined reference to `boost::system::system_category()'
liborcus/.libs/liborcus-0.2.a(liborcus_0.2_la-pstring.o): In function `__static_initialization_and_destruction_0':
/usr/include/boost/system/error_code.hpp:214: undefined reference to `boost::system::generic_category()'
/usr/include/boost/system/error_code.hpp:215: undefined reference to `boost::system::generic_category()'
/usr/include/boost/system/error_code.hpp:216: undefined reference to `boost::system::system_category()'
collect2: error: ld returned 1 exit status
make[6]: *** [orcus-format-xml] Error 1
make[6]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus/src'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus/src'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus'
make[2]: *** [/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalProject/liborcus/build] Error 2
make[2]: *** Waiting for unfinished jobs....

autogen.sh options:

	./autogen.sh \
		--disable-ext-mysql-connector \
		--disable-fetch-external \
		--disable-gnome-vfs \
		--disable-kde \
		--disable-mozilla \
		--disable-verbose \
		--enable-crashdump \
		--enable-dbus \
		--enable-evolution2 \
		--enable-ext-nlpsolver \
		--enable-ext-scripting-beanshell \
		--enable-ext-scripting-javascript \
		--enable-ext-wiki-publisher \
		--enable-gio \
		--enable-gtk3 \
		--enable-kde4 \
		--enable-librsvg=system \
		--enable-lockdown \
		--enable-mergelibs \
		--enable-odk \
		--enable-opengl \
		--enable-split-app-modules \
		--exec-prefix=/usr \
		--libdir=/usr/lib \
		--mandir=/usr/share/man \
		--prefix=/usr \
		--sysconfdir=/etc \
		--with-alloc=system \
		--with-ant-home="/usr/share/apache-ant" \
		--with-build-version="GIT-$pkgver ArchLinux build-${pkgrel}" \
		--with-external-dict-dir=/usr/share/hunspell \
		--with-external-hyph-dir=/usr/share/hyphen \
		--with-external-tar="${srcdir}/ext_sources" \
		--with-external-thes-dir=/usr/share/mythes \
		--with-java-target-version=1.5 \
		--with-lang="" \
		--with-max-jobs=${MAKEFLAGS/-j/} \
		--with-num-cpus=${MAKEFLAGS/-j/} \
		--with-system-beanshell \
		--with-system-boost \
		--with-system-cairo \
		--with-system-clucene \
		--with-system-cppunit \
		--with-system-dicts \
		--with-system-graphite \
		--with-system-headers \
		--with-system-hsqldb \
		--with-system-libs \
		--with-system-libwpg \
		--with-system-mysql \
		--with-system-mythes \
		--with-system-redland \
		--with-unix-wrapper="libreoffice" \
		--with-vendor="ArchLinux" \
		--without-afms \
		--without-fonts \
		--without-myspell-dicts \
		--without-ppds \
		--without-system-apache-commons \
		--without-system-jfreereport \
		--without-system-libcdr \
		--without-system-libcmis \
		--without-system-libexttextcat \
		--without-system-liblangtag \
		--without-system-libmspub \
		--without-system-libvisio \
		--without-system-libwps \
		--without-system-mdds \
		--without-system-mozilla \
		--without-system-mozilla-headers \
		--without-system-orcus \
		--without-system-poppler \
		--without-system-saxon \
		--without-system-servlet-api
Comment 1 Synthead 2012-09-28 22:27:10 UTC
Build log when using f02578f5218f217a9f20e9c30e119c6a-boost_1_44_0.tar.bz2 and --without-system-boost:

[build SPP] scp2/source/sdkoo/sdkoo
S=/home/max/aur/libreoffice-git/src/libreoffice-core-build && O=$S/solver/unxlngx6.pro && W=$S/workdir/unxlngx6.pro &&  LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib" $O/bin/cpp.lcc -+ -P -DWITH_HELP -DSYSTEM_DB -DWITH_POSTGRESQL_SDBC -DWITHOUT_MATHMLDTD -DTHEME_CRYSTAL -DTHEME_DEFAULT -DTHEME_HICONTRAST -DTHEME_OXYGEN -DTHEME_TANGO -DTHEME_TANGO_TESTING -DWITH_HELPPACK_INTEGRATION -DWITH_EXTENSION_INTEGRATION -DWITH_EXTENSION_NLPSOLVER -DWITHOUT_FONTS -DWITHOUT_PPDS -DWITHOUT_AFMS  -DX86_64 -DLINUX -D_PTHREADS -DUNIX -DUNX   -DCOMID=gcc3 -DCOMNAME=gcc3 -DSHORTSTDC3=1 -DSHORTSTDCPP3=6 -D_gcc3 -DSOLAR_JAVA  -DDLLPOSTFIX=lo -I$S/scp2/inc -I$W/CustomTarget/scp2/macros   $S/scp2/source/sdkoo/sdkoo.scp > $W/ScpPreprocessTarget/scp2/source/sdkoo/sdkoo.pre 
In file included from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/pthread/mutex.hpp:14:0,
                 from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/mutex.hpp:16,
                 from pstring.cpp:35:
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:23:5: error: expected identifier before numeric constant
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:23:5: error: expected '}' before numeric constant
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:23:5: error: expected unqualified-id before numeric constant
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:46:14: error: expected type-specifier before 'system_time'
In file included from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/pthread/mutex.hpp:14:0,
                 from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/mutex.hpp:16,
                 from pstring.cpp:35:
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp: In function 'int xtime_get(xtime*, int)':
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:73:40: error: 'get_system_time' was not declared in this scope
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:73:40: note: suggested alternative:
In file included from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/locks.hpp:12:0,
                 from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/pthread/mutex.hpp:12,
                 from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/mutex.hpp:16,
                 from pstring.cpp:35:
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/thread_time.hpp:18:24: note:   'boost::get_system_time'
In file included from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/pthread/mutex.hpp:14:0,
                 from /home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/mutex.hpp:16,
                 from pstring.cpp:35:
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp: At global scope:
/home/max/aur/libreoffice-git/src/libreoffice-core-build/solver/unxlngx6.pro/inc/external/boost/thread/xtime.hpp:88:1: error: expected declaration before '}' token
[build SPP] scp2/source/smoketest/smoketest
S=/home/max/aur/libreoffice-git/src/libreoffice-core-build && O=$S/solver/unxlngx6.pro && W=$S/workdir/unxlngx6.pro &&  LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib" $O/bin/cpp.lcc -+ -P -DWITH_HELP -DSYSTEM_DB -DWITH_POSTGRESQL_SDBC -DWITHOUT_MATHMLDTD -DTHEME_CRYSTAL -DTHEME_DEFAULT -DTHEME_HICONTRAST -DTHEME_OXYGEN -DTHEME_TANGO -DTHEME_TANGO_TESTING -DWITH_HELPPACK_INTEGRATION -DWITH_EXTENSION_INTEGRATION -DWITH_EXTENSION_NLPSOLVER -DWITHOUT_FONTS -DWITHOUT_PPDS -DWITHOUT_AFMS  -DX86_64 -DLINUX -D_PTHREADS -DUNIX -DUNX   -DCOMID=gcc3 -DCOMNAME=gcc3 -DSHORTSTDC3=1 -DSHORTSTDCPP3=6 -D_gcc3 -DSOLAR_JAVA  -DDLLPOSTFIX=lo -I$S/scp2/inc -I$W/CustomTarget/scp2/macros   $S/scp2/source/smoketest/smoketest.scp > $W/ScpPreprocessTarget/scp2/source/smoketest/smoketest.pre 
[build SPP] scp2/source/ooo/ure
make[7]: *** [liborcus_0.2_la-pstring.lo] Error 1
make[7]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus/src/liborcus'
make[6]: *** [all-recursive] Error 1
make[6]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus/src/liborcus'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus/src'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/UnpackedTarball/orcus'
make[2]: *** [/home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalProject/liborcus/build] Error 2
make[2]: *** Waiting for unfinished jobs....
rm /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_prepostdash.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libxmlsec1-nss.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/sent.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/count_word.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/line.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_fi.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/line.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word_hu.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libxpdf.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/count_word.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libGoo.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/char_in.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_nodash.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/Library/liblangtag.so /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word_he.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word_hu.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_he.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/char.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libxmlsec1.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libfofi.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_fi.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/sent.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_hu.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/libexttextcat-1.0.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_nodash.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/count_word_fi.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_he.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/count_word_fi.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_hu.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word_he.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word_prepostdash.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/char.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/ExternalHeaders/StaticLibrary/liborcus.a /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/char_in.brk /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/edit_word.txt /home/max/aur/libreoffice-git/src/libreoffice-core-build/workdir/unxlngx6.pro/CustomTarget/i18npool/breakiterator/dict_word.brk
make[2]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build/tail_build'

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 512 occurred while making /home/max/aur/libreoffice-git/src/libreoffice-core-build/tail_build/prj

 it seems that the error is inside 'tail_build', please re-run build
 inside this module to isolate the error and/or test your fix:

build_error.log should contain the captured output of the failed module(s)

-----------------------------------------------------------------------
To rebuild a specific module:

make tail_build.clean # not recommended, this will re-build almost everything
make tail_build

when the problem is isolated and fixed, re-run 'make'
make[1]: *** [build-packimages] Error 1
make[1]: Leaving directory `/home/max/aur/libreoffice-git/src/libreoffice-core-build'
make: *** [all] Error 2
Comment 2 Synthead 2012-09-28 22:34:34 UTC
If it helps, here's some info about my system (Arch Linux x86_64):

$ file /usr/lib/libboost_system.so
/usr/lib/libboost_system.so: symbolic link to `libboost_system.so.1.50.0'

$ file /usr/lib/libboost_system.so.1.50.0
/usr/lib/libboost_system.so.1.50.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=0xfad4ae09f3da92cdd1737dddd004d577bd9e5c79, stripped

$ ls -l /usr
total 316
drwxr-xr-x   4 root root  69632 Sep 28 15:31 bin
drwxr-xr-x 417 root root  45056 Sep 28 15:09 include
drwxr-xr-x 207 root root 135168 Sep 28 15:09 lib
drwxr-xr-x  21 root root  32768 Sep 28 15:09 lib32
drwxr-xr-x  11 root root   4096 Aug 27 15:56 local
drwxr-xr-x   2 root root  12288 Sep 27 15:57 sbin
drwxr-xr-x 233 root root   4096 Sep 28 17:51 share
drwxr-xr-x   3 root root   4096 Sep 21 11:47 src

$ ls -l /
total 69
drwxr-xr-x   2 root root  4096 Sep 27 16:59 bin
drwxr-xr-x   5 root root  1024 Sep 21 11:47 boot
drwxr-xr-x  16 root root  3100 Sep 28 13:25 dev
drwxr-xr-x  92 root root 12288 Sep 28 17:51 etc
drwxr-xr-x   4 root root  4096 May 15 09:41 home
lrwxrwxrwx   1 root root     7 Aug 29 06:56 lib -> usr/lib
lrwxrwxrwx   1 root root     7 Aug 29 06:56 lib64 -> usr/lib
drwx------   2 root root 16384 Mar 28  2012 lost+found
drwxr-xr-x   7 root root  4096 Jun 26 14:35 media
drwxr-xr-x   2 root root  4096 Aug 27 15:56 mnt
drwxr-xr-x   5 root root  4096 Sep 28 15:09 opt
dr-xr-xr-x 201 root root     0 Sep 28 13:24 proc
drwxr-x---  14 root root  4096 Sep 28 14:53 root
drwxr-xr-x  26 root root   720 Sep 28 13:25 run
drwxr-xr-x   2 root root  4096 Sep 27 16:59 sbin
drwxr-xr-x   5 root root  4096 Aug 30 16:41 srv
dr-xr-xr-x  13 root root     0 Sep 28 13:24 sys
drwxrwxrwt  24 root root   680 Sep 28 18:22 tmp
drwxr-xr-x  10 root root  4096 Aug 30 16:41 usr
drwxr-xr-x  17 root root  4096 Aug 30 16:41 var
Comment 3 Synthead 2012-10-01 22:40:49 UTC
LO compiles fine on glibc 2.15, which is right in-line with this Boost bug: https://svn.boost.org/trac/boost/ticket/6940

However, this is only a workaround, as downgrading glibc means barely anything runs on my workstation (my package manager, X, etc. ...).  Though, it did compile in single-user mode.
Comment 4 Markus Mohrhard 2012-10-21 14:51:20 UTC
Please write a mail to the developer mailing list about it.

We don't use bugzilla for build related problems.
Comment 5 Petr Mladek 2012-10-25 10:59:09 UTC
Adding some developers into CC. I wonder if they met this problem.

Anyway, as Marcus suggest, it would be more effective to send this problem to the libreoffice@lists.freedesktop.org mailing list.
Comment 6 David Tardon 2012-10-25 13:37:30 UTC
Yes, I have. In Boost >= 1.50 (or 1.49, maybe), Thread requires System. I fixed this in upstream liborcus a couple of weeks ago.
Comment 7 Petr Mladek 2012-10-26 09:02:01 UTC
Over to Kohei then - it'd be great to get one of our 4 open blockers fixed as/when the next Orcus is released if only to cleanup bugzilla ;-) [ this is Michael using Petr's computer BTW ;-]
Comment 8 Not Assigned 2012-11-23 05:59:34 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1035c16609e03827f912d53e183e54585169f0d

fdo#55435 orcus needs Boost.System with recent Boost



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Björn Michaelsen 2013-06-09 13:01:46 UTC
Created attachment 80565 [details]
hack to get orcus to build

The autoconfigury still seems somewhat broken for me on LibreOffice-4.1~beta2 (failing to find boost_system). I went for an external liborcus version, but had to apply the attached (ugly) hotfix patch to get it to build on Ubuntu Saucy.

@Kohei: Can you have a look maybe?